Restore trashed article
curl --request POST \
--url https://{your-subdomain}.neetokb.com/api/external/v2/trashed_articles/{trashed_article_id}/restoration \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'POST', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/trashed_articles/{trashed_article_id}/restoration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/trashed_articles/{trashed_article_id}/restoration"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"article": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "getting-started",
"state": "draft",
"title": "Getting Started Guide",
"is_archived": true
}
}Trash
Restore trashed article
This API moves an article out of the trash. For CLI sessions, this needs the Manage articles permission.
POST
/
trashed_articles
/
{trashed_article_id}
/
restoration
Restore trashed article
curl --request POST \
--url https://{your-subdomain}.neetokb.com/api/external/v2/trashed_articles/{trashed_article_id}/restoration \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'POST', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/trashed_articles/{trashed_article_id}/restoration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/trashed_articles/{trashed_article_id}/restoration"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"article": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "getting-started",
"state": "draft",
"title": "Getting Started Guide",
"is_archived": true
}
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Identifier of the trashed article, as its slug, permalink identifier or UUID. Get it from List trashed articles.